Subject: bug#17577: 24.3.91; Error during redisplay prevent quitting.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 May 2014 13:28:23 +0300

> From: Thierry Volpiatto <[email-masked]>
> Date: Sat, 24 May 2014 10:43:33 +0200
> 
> 
> The function is `helm-show-candidate-number', it is evaluated in
> `helm-display-mode-line'.
> 
> 
>         (setq mode-line-format
>               `(" " mode-line-buffer-identification " "
>                     (line-number-mode "L%l") " " ,follow
>                     (:eval (when ,helm--mode-line-display-prefarg
>                              (let ((arg (prefix-numeric-value (or prefix-arg
>                                                                   current-prefix-arg))))
>                                (unless (= arg 1)
>                                  (propertize (format "[prefarg:%s] " arg)
>                                              'face 'helm-prefarg)))))
>                     (:eval (helm-show-candidate-number
>                             (when (listp helm-mode-line-string)
>                               (car-safe helm-mode-line-string))))
>                     " " helm-mode-line-string-real " -%-")
> 

What does helm-show-candidate-number do that causes the problem,
though?

> I knowed you will say that, I will fix this on my side like I do
> usually, it is already done anyway.
> Expect other bugs outside of helm with this.

Let's not hurry too much here, OK?  I just asked for the details to be
able to discuss the problem without having to study helm too much.  I
didn't mean to imply that the problem must necessarily be solved in
helm.  Apologies if my wording somehow implied that.